Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.quote
Class QuoteException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--com.beasys.commerce.foundation.exception.FatalApplicationException
                              |
                              +--com.bea.commerce.ebusiness.price.quote.QuoteException

Direct Known Subclasses:
  CurrencyMismatchException, MinimumPriceException

public class QuoteException
extends FatalApplicationException

A QuoteException indicates a failure within the quote package.

See Also:
  `ApplicationException`, Serialized Form

Field Summary
`static java.lang.String` | `MESSAGE_KEY`
`static java.lang.String` | `MESSAGE_NAMESPACE` The name of the resource bundle

Fields inherited from class com.beasys.commerce.foundation.exception.FatalApplicationException
`embeddedException, logMessages, userMessages`

Constructor Summary
`QuoteException(java.lang.Object argument)` Class constructor taking an argument for the message.
`QuoteException(java.lang.String messageKey)` Class constructor taking a message key for the message.
`QuoteException(java.lang.String messageKey, java.lang.Exception exception)` Class constructor taking key of the associated catalog message and an embedded exception.
`QuoteException(java.lang.String messageKey, java.lang.Object argument)` Class constructor taking key of the associated catalog message and a message parameter substitution argument.
`QuoteException(java.lang.String messageKey, java.lang.Object[] arguments)` Class constructor taking key of the associated catalog message and message parameter substitution arguments.

Methods inherited from class com.beasys.commerce.foundation.exception.FatalApplicationException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MESSAGE_NAMESPACE

    public static final java.lang.String MESSAGE_NAMESPACE

  The name of the resource bundle

### MESSAGE_KEY

    public static final java.lang.String MESSAGE_KEY

Constructor Detail

### QuoteException

    public QuoteException(java.lang.Object argument)

  Class constructor taking an argument for the message. Uses the QuoteException.MESSAGE_KEY

  Parameters:
    `argument` - parameter to the message catalog.

### QuoteException

    public QuoteException(java.lang.String messageKey)

  Class constructor taking a message key for the message.

  Parameters:
    `messageKey` - The associated catalog message key.

### QuoteException

    public QuoteException(java.lang.String messageKey,
                          java.lang.Exception exception)

  Class constructor taking key of the associated catalog message and an embedded exception.

  Parameters:
    `messageKey` - The associated catalog message key.
    `exception` - The embedded exception.

### QuoteException

    public QuoteException(java.lang.String messageKey,
                          java.lang.Object argument)

  Class constructor taking key of the associated catalog message and a message parameter substitution argument.

  Parameters:
    `messageKey` - The associated catalog message key.
    `argument` - The message parameter substitution argument.

### QuoteException

    public QuoteException(java.lang.String messageKey,
                          java.lang.Object[] arguments)

  Class constructor taking key of the associated catalog message and message parameter substitution arguments.

  Parameters:
    `messageKey` - The associated catalog message key.
    `arguments` - The message parameter substitution arguments.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved